腾讯云IM Flutter项目的基础，统一管理IM SDK，并提供含onCallback回调的基类。

## 使用方式

### 组件开发

继承[TIMState] 和 [TIMStatelessWidget]，分别对应有状态和无状态组件。

render函数请override `timBuild(BuildContext context)`。

### 使用IM SDK

本base插件已原生集成`tencent_im_sdk_plugin`。

请不要再单独引入IM SDK至我们的各Flutter项目，以保证不同package引入SDK相同版本，便于统一管理。

如需使用，直接引入本插件即可。如下：

```dart
import 'package:tencent_im_base/tencent_im_base.dart';

// 此处可直接使用SDK
TencentImSDKPlugin.v2TIMManager
    .getMessageManager()
    .createImageMessage(imagePath: imagePath);
```

### 使用国际化

请不要单独处理国际化能力，在我们的各Flutter项目中。全部交由本base插件管理，使用处直接调用即可。

使用方式：

1. 无参数字符串，直接调用`TIM_t(String)`函数即可，如 `TIM_t("去处理")`。

2. 带参数字符串，使用模板调用`TIM_t_para`。

    请保证词条内仅一个字符串类型参数，不能是数字，对象或函数。参数无需使用花括号包裹。

    参数名请使用option[1-20]，同一个作用域内参数名不冲突即可。如果20个option不够用的话，可尝试拆分更细的作用域。

    调用模板：`TIM_t_para("已选：{{option1}}",'已选：$option1')(option1: option1)`

示例：

```dart
import 'package:tencent_im_base/tencent_im_base.dart';

// 不带参数
Text(TIM_t("进群申请"))

// 带参数
Text(
    TIM_t_para("{{option1}} 条入群请求", "$option1 条入群请求")(option1: option1)
    )
```

> 如需增补字符串，请联系我手动增加。暂时还未想到，统一处理多个组件语言词条的自动化方案。